Request virtual machine logs
POST/core/virtual-machines/:vm_id/logs
Requests the console logs for a specific virtual machine (VM) in Hyperstack. This endpoint initiates the process of fetching logs, and returns a request identifier that can be used to retrieve the logs. The request_id obtained from this request is then used in the Retrieve Virtual Machine Logs API to view the requested logs. A virtual machine must be in the ACTIVE state to request logs.
Async operation: This endpoint returns
202 Acceptedfor long-running operations. The response body includes arequest_idthat you can pass to the corresponding GET endpoint to poll for completion.
Request
Responses
- 200
- 202
- 400
- 401
- 404
- 405
- 500
Logs were successfully requested
Request succeeded.
Bad Request
Unauthorized
Not Found
Method Not Allowed
Internal Server Error
Was this page helpful?